.campos {
    color: white;
}

input {

    width: min(100%, 250px);
    height: clamp(28px, 6vw, 45px);

    padding: 0 12px;

    background: #f7f6f4;
    color: #111;

    border: 2px solid #5a43b8;
    border-radius: 8px;

    font-size: clamp(14px, 2vw, 16px);
    outline: none;

    transition: .3s;
}

.containerBotoes {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: clamp(10px, 2vw, 25px);
    flex-wrap: wrap;
}


.botao {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    width: clamp(10px, 18vw, 100px);
    height: clamp(45px, 7vw, 50px);

    background: rgba(3, 20, 72, .56);
    border: 1px solid #4BA3FF;

    color: #fde69c;

    border-radius: 10px;
    font-weight: bold;
    cursor: pointer;

    transition: .3s;

    filter:
        drop-shadow(-2px 0 5px #0860326a) drop-shadow(2px 0 5px #00ff3344);
}

.botao:hover {
    box-shadow: 0 0 12px rgba(75, 163, 255, .35);
    background: rgba(4, 22, 78, .56);
}


.botao4 {
    margin-bottom: 20px;

    background: linear-gradient(to right, #2d1470, #642aa5fc);
    color: rgb(239, 239, 229);

    font-weight: bold;

    width: clamp(110px, 28vw, 140px);
    height: clamp(35px, 6vw, 42px);

    font-size: clamp(13px, 2vw, 16px);

    text-align: center;
    border-radius: 50px;

    filter: drop-shadow(0 0 14px #444df7);

    transition: .3s;
    cursor: pointer;
}

.botao4:hover {
    background: linear-gradient(to right, #401e9e, #7936c6fc);
    transform: scale(1.03);
    color: rgb(255, 252, 252);
    filter: drop-shadow(0 0 14px #656cff);
}





#botaoSeguinte1,
#botaoSeguinte2,
#botaoSeguinte3 {
    display: none;
    margin-top: 15px;

    background: rgba(164, 255, 173, 0.101);
    color: #77f997;

    border: 1px solid #1a8535;
    border-radius: 8px;

    padding: 6px 8px;

    font-family: "JetBrains Mono", monospace;
    font-size: 12px;
    font-weight: bold;

    cursor: pointer;

    transition: .3s;


}

#botaoSeguinte1:hover,
#botaoSeguinte2:hover,
#botaoSeguinte3:hover {
    text-shadow: 0 0 8px #d2eae7;
    transform: translateY(-2px);


}


#botao1,
#botao2,
#botao3 {
    opacity: 0;
    transform: translateY(10px);
    transition: opacity .4s, transform .4s;
}


.containerbaby {
    background: #9bb4f433;
    width: min(80%, 350px);
    margin-top: clamp(0px, 2vh, 12px);
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    text-align: justify;
    justify-content: center;
    align-items: center;
    margin: 15px auto;
}

.containerbaby2 {
    margin: auto;
    justify-content: center;
    align-items: center;
    background: #9bb4f433;
    width: min(65%, 250px);
    margin-top: clamp(0px, 2vh, 12px);
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    font-size: 5px;

}


.summarypadrao {
    text-align: center;
    font-family: 'JetBrains Mono', monospace;
    text-shadow: 0 0 8px #39FF14;

}


.codigo,
.codigo2 {
    color: #fcff6f;
    margin-top: 30px;
    font-family: 'JetBrains Mono', monospace;
    text-align: left;
    padding: 15px;
    text-shadow: 0 0 8px #39FF14;
    max-width: 100%;
    overflow-x: hidden;

}


.codigo2 {
    font-size: 14px;
    padding: 2px;
    text-shadow: 0 0 8px #37ff14a2;

}

.colornumero {
    text-shadow: 0 0 8px #e91717;
}

.barra {
    display: flex;
    align-items: center;
    gap: 5px;
    margin-top: 5px;

    border: 1px solid #39FF14;
    border-radius: 8px;
    padding: 8px;

    width: fit-content;

    box-shadow:
        0 0 8px #39FF14,
        inset 0 0 8px #39FF14;
}

.palito {
    width: 4px;
    height: 11px;
    border-radius: 20px;
    background: #1b1b1b;

    transition: .2s ease;
}

.palito.ativo {
    background: #39FF14;
    box-shadow:
        0 0 5px #39FF14,
        0 0 12px #39FF14,
        0 0 20px #39FF14,
        0 0 35px #39FF14;
}


.containerEnergia {
    display: none;
}

#mensagemEnergia1,
#mensagemEnergia2,
#mensagemEnergia3 {
    white-space: pre-line;
    font-size: 13px;
    margin-left: 0;
    color: rgb(255, 246, 150);
}


.habilidades {
    display: flex;
    flex-direction: column;
    gap: 8px;
}


.habilidades span {
    padding: 8px;

    background: rgba(255, 255, 255, .05);
    border-radius: 8px;

    color: #d4f5ff;

    border-left: 3px solid #63E7FF;
}



.mensagemFinal {
    width: 100%;
    margin-top: 30px;

    text-align: center;

    font-family: "JetBrains Mono", monospace;
    font-size: 15px;

    color: #A9C8D8;

    text-shadow:
        0 0 8px rgba(99, 231, 255, .6);

    animation: aparecerFinal .8s ease;
}


.mensagemFinal::first-line {
    color: #63E7FF;
}

.statusFinal {
    margin: 15px auto;
    padding: 10px;

    text-align: center;

    background: rgba(0, 255, 100, .08);
    border-radius: 8px;

    color: #dfffea;
}


.statusFinal strong {
    color: #39FF14;

    text-shadow:
        0 0 8px #39FF14;
}